/**
 * 自动绑定this !!!此装饰器必须放在最上面
 */
export declare function Autobind(): ClassDecorator & MethodDecorator;
export declare function useProps<T>(): T;
export declare function useCtx(): {
    attrs: {
        [x: string]: unknown;
    };
    slots: Readonly<{
        [name: string]: import("vue").Slot | undefined;
    }>;
    emit: (event: string, ...args: any[]) => void;
    expose: (exposed?: Record<string, any> | undefined) => void;
} | {
    attrs: {
        [x: string]: unknown;
    };
    slots: Readonly<{
        [name: string]: import("vue").Slot | undefined;
    }>;
    emit: (event: string, ...args: any[]) => void;
    expose: (exposed?: Record<string, any> | undefined) => void;
};
export declare function getCurrentApp(): import("vue").App<any> | undefined;
export declare function getEmitsFromProps(defaultProps: Record<string, any> | string[]): string[];
export declare function createSymbol(name: string): string | symbol;
